GrayFilter (Java 2 Platform SE v1.4.1_"07")

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

JavaTM 2 Platform
Std. Ed. v1.4.1_"07"

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## javax.swing
Class GrayFilter

    java.lang.Object
      |
      +--java.awt.image.ImageFilter
            |
            +--java.awt.image.RGBImageFilter
                  |
                  +--javax.swing.GrayFilter

All Implemented Interfaces:
  Cloneable, ImageConsumer

public class GrayFilter
extends RGBImageFilter

An image filter that "disables" an image by turning it into a grayscale image, and brightening the pixels in the image. Used by buttons to create an image for a disabled button.

Field Summary

Fields inherited from class java.awt.image.RGBImageFilter
`canFilterIndexColorModel, newmodel, origmodel`

Fields inherited from class java.awt.image.ImageFilter
`consumer`

Fields inherited from interface java.awt.image.ImageConsumer
`COMPLETESCANLINES, IMAGEABORTED, IMAGEERROR, RANDOMPIXELORDER, SINGLEFRAME, SINGLEFRAMEDONE, SINGLEPASS, STATICIMAGEDONE, TOPDOWNLEFTRIGHT`

Constructor Summary
`GrayFilter(boolean b, int p)` Constructs a GrayFilter object that filters a color image to a grayscale image.

Method Summary
`static Image` | `createDisabledImage(Image i)` Creates a disabled image
`int` | `filterRGB(int x, int y, int rgb)` Overrides `RGBImageFilter.filterRGB`.

Methods inherited from class java.awt.image.RGBImageFilter
`filterIndexColorModel, filterRGBPixels, setColorModel, setPixels, setPixels, substituteColorModel`

Methods inherited from class java.awt.image.ImageFilter
`clone, getFilterInstance, imageComplete, resendTopDownLeftRight, setDimensions, setHints, setProperties`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GrayFilter

    public GrayFilter(boolean b,
                      int p)

  Constructs a GrayFilter object that filters a color image to a grayscale image. Used by buttons to create disabled ("grayed out") button images.

Parameters:
  `b` - a boolean -- true if the pixels should be brightened
  `p` - an int in the range 0..100 that determines the percentage of gray, where 100 is the darkest gray, and 0 is the lightest

Method Detail

### createDisabledImage

    public static Image createDisabledImage(Image i)

  Creates a disabled image

### filterRGB

    public int filterRGB(int x,
                         int y,
                         int rgb)

  Overrides `RGBImageFilter.filterRGB`.

  Specified by:
    `filterRGB` in class `RGBImageFilter`
  Parameters:
    `rgb` - the integer pixel representation in the default RGB color model
  Returns:
    a filtered pixel in the default RGB color model.
  See Also:
    `ColorModel.getRGBdefault()`, `RGBImageFilter.filterRGBPixels(int, int, int, int, int[], int, int)`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

JavaTM 2 Platform
Std. Ed. v1.4.1_"07"

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Copyright 2002 Sun Microsystems, Inc. All rights reserved. Use is subject to license terms.